4.20.2 (2025-08-07)
======
- Changed recurrence limits from 100 to 9999 (MR !78).
- Minor cleanup of log messages.

4.20.1 (2025-03-28)
======
- Fixed event structure initialization, TODOs was not correctly displayed.
  Related with Issue #33, and MR !73.
- Replaced deprecated exo with libxfce4ui (MR !71).
- Translation Updates:
  Albanian, Amharic, Arabic, Armenian (Armenia), Asturian, Basque,
  Belarusian, Bulgarian, Catalan, Chinese (China), Chinese (Taiwan),
  Croatian, Czech, Danish, Dutch, English (Australia), English (United
  Kingdom), Esperanto, Estonian, Finnish, French, Galician, German,
  Greek, Hebrew, Hungarian, Icelandic, Indonesian, Italian, Japanese,
  Kazakh, Korean, Latvian, Lithuanian, Malay, Norwegian Bokmål,
  Norwegian Nynorsk, Occitan (post 1500), Polish, Portuguese (Brazil),
  Portuguese, Romanian, Russian, Serbian, Slovak, Slovenian, Spanish,
  Swedish, Thai, Turkish, Ukrainian, Urdu (Pakistan), Urdu, Uyghur

4.20.0 (2025-01-07)
======
- Redesigned appointment window recurrence tab. Related with Issue #23.
- Internal changes, changed appointment window to subclass of GtkWindow
- Internal changes, changed mainbox to subclass of GtkApplicationWindow (MR !48)
- Moved internal CSS string to separte theme file (MR !47, MR !65)
- Added command line parameter '-i' to import ICS files
- Rudimentary synchronization support: added support for calling a
  user-specified synchronization command
- Fixed Gtk-CRITICAL message while adding new appointment.
- Replaced Orage wake up detection with wake up detection from panel clock
  plugin.
- Fixed memory leak and error handling when timezone info loading fails.
  (MR !56)
- Added support for TZDIR environment variable (Issue #28).
- Updated desktop file: added actions for 'today' and 'new appointment'
  (MR !58), added Keywords (MR! 64)
- Recurrence tab improvements: fixed dependency from ICAL RRULE (MR !59, MR !52,
  Issue #23, Issue #29)
- Use gettext and XDT_VERSION_INIT (MR !60)
- Internal changes, changed day window (MR !62)
- Disabled tray icon by default, (MR !66, MR !64)
- Translation Updates:
  Albanian, Amharic, Arabic, Armenian (Armenia), Asturian, Basque,
  Belarusian, Bulgarian, Catalan, Chinese (China), Chinese (Taiwan),
  Croatian, Czech, Danish, Dutch, English (Australia), English (United
  Kingdom), Esperanto, Estonian, Finnish, French, Galician, German,
  Greek, Hebrew, Hungarian, Icelandic, Indonesian, Italian, Japanese,
  Kazakh, Korean, Latvian, Lithuanian, Malay, Norwegian Bokmål,
  Norwegian Nynorsk, Occitan (post 1500), Polish, Portuguese (Brazil),
  Portuguese, Romanian, Russian, Serbian, Slovak, Slovenian, Spanish,
  Swedish, Thai, Turkish, Ukrainian, Urdu (Pakistan), Urdu, Uyghur,
  Vietnamese

4.18.0 (2023-02-08)
======
- Changed Orage internal time and data strings to GDateTime (MR !20)
- In event list, fixed event hiding when event start at 00:00 and end 00:00 in
  same date (this kind event can be created when creating full day event, save
  event and then unset full day option). (MR !20)
- Removed bundled libical (Issue #5)
- Removed panel plugin (Issue #11)
- Removed GlobalTime (Issue #12)
- Replaced old Orage icons (Issue #16) and removed 160x160 icons
- Replaced deprecated dbus-glib with GDBus (Issue #4)
- Changed event attach order in day view window (Issue #15)
- Added Wayland support (Issue #2)
- Fixed orage_persistent_alarms.txt not found messages (MR !35)
- Fixed after wakeup tray icon updating (Issue #14)
- Changed alarm_structure to reference counted structure. This fixes warnings
  about memory leaks (MR !38, replaces MR !8)
- Changed libnotify minimum version to 0.7.0 (MR !39)
- Disabled sound alarm when sound command is not set (MR !40)
- Fixed large ical file import (Issue #8)
- Translation Updates:
  Albanian, Amharic, Arabic, Armenian (Armenia), Asturian, Basque,
  Belarusian, Bulgarian, Catalan, Chinese (China), Chinese (Taiwan),
  Croatian, Czech, Danish, Dutch, English (Australia), English (United
  Kingdom), Esperanto, Estonian, Finnish, French, Galician, German,
  Greek, Hebrew, Hungarian, Icelandic, Indonesian, Italian, Japanese,
  Kazakh, Korean, Latvian, Lithuanian, Malay, Norwegian Bokmål,
  Norwegian Nynorsk, Occitan (post 1500), Polish, Portuguese,
  Portuguese (Brazil), Romanian, Russian, Serbian, Slovak, Spanish,
  Swedish, Thai, Turkish, Ukrainian, Urdu, Urdu (Pakistan), Uyghur,
  Vietnamese

4.16.0 (2022-03-17)
======
Note: GlobalTime and Orage panel plugin are being deprecated and will be
removed in a future release. Their features will be integrated with or provided
by existing Xfce components.
See https://gitlab.xfce.org/apps/orage/-/issues/3#note_43209

Finalize port to GTK 3, small fixes and cleanup for 4.16.0 (see MRs for more
details):
- Add new application icon (!18)
- Fix some memory leaks
- i18n: Use `xfce_textdomain()` to initialize translations
- Trace messages cleanup (!15)
- Update COPYING (Issue #10, !17)
- Use stdout and stderr correctly in main.c
- Build tz_convert only with bundled libical (!14)
- Switch to reverse-DNS naming for icon and desktop files (!13)
- D-Bus service cleanup (!12)
- Fix `orage_exec()` and its calls
- Update project files (!10)
- Fixed strptime parse issue on FreeBSD (#6, !11)
- Fix make distcheck warnning
- Fixed libpopt detection on FreeBSD (!9)
- Fix build warnings 3: Clang static analyzer (!6)
- Added 'git' to program version string and 'sed' check (!7)
- Fix build warnings 2: Compilation (!4)
- Fix build warnings 1: Autotools (!3)
- Add basic GitLab pipeline (!2)

Commits from merge request !1 (GTK 3 port), which also includes 4.15.x below:
- Reverted to c60567fe
- Fixed typos
- Added support for 'legacy' non RGBA GTK colours. Both RGBA and old 
colous are now supported.
- Replaced unused parameters '(void)' castings with GLib G_GNUC_UNUSED. 
Added GLib check to configure.
- Removed trailing whitespaces and corrected formatting
- Updated version numbers
- Aligned new appointment->alarm Sound and Procedure entry fields and 
removed unused code.
- Renamed 'OragePlugin *clock' to 'OragePlugin *plugin' or 'OragePlugin 
*orage_plugin'
- Fixed libical support, supported libical version is now >= 3.0.
- Added variable tmp only when HAVE_LIBICAL is not defined
- Dead code removal
- Removed outdated is_utc, libical uses UTC timezone. This patch allows 
to use libical 3.0
- Updated with 'Ical week start day' issue
- Fixed: "'Ical week start day' configuration parameter is ignored". 
Issue #5
- Changed version number to 4.15.2

- Translation Updates:
  Albanian, Amharic, Arabic, Armenian (Armenia), Asturian, Basque,
  Belarusian, Bulgarian, Catalan, Chinese (China), Chinese (Taiwan),
  Croatian, Czech, Danish, Dutch, English (Australia), English (United
  Kingdom), Estonian, Finnish, French, Galician, German, Greek, Hebrew,
  Hungarian, Icelandic, Indonesian, Italian, Japanese, Kazakh, Korean,
  Latvian, Lithuanian, Malay, Norwegian Bokmål, Norwegian Nynorsk,
  Occitan (post 1500), Polish, Portuguese, Portuguese (Brazil),
  Romanian, Russian, Serbian, Slovak, Spanish, Swedish, Thai, Turkish,
  Ukrainian, Urdu, Urdu (Pakistan), Uyghur

4.15.1 (2021-12-15, unreleased version)
======
Notes from old ChangeLog file:
* Fixed libbsd dependency: reverted libical strl* functions back to
  str* or changed orage functions from strl* to g_strl*.
* Automake changes: silent mode is now default
* Minimum autogen required version is 4.16.0
* Ported GlobalTime to GTK3:
  * Replaced GlobalTime background and foreground colours from GdkColor to
    GdkRGBA (old colours from GlobalTime configuration is not valid
    anymore)
* Ported panel-plugin to GTK3.
  * Changed to plugin to use panel plugin class. Initial patches
    contributed by Patronos.

Full commit list:
- Version 4.15.1 release time
- Updated with panel plugin changes
- Changed 'save' signal to member of plugin class
- Dead code removal
- Added FIXME comments
- Changed int parameter to gint
- Removed invalid "column-homogeneous" property from box property
- Fixed plugin tooltip
- Fixed rc file write
- Fixed panel plugin blocking/unblocking when configuration menu is 
closed
- Fixed "properties_frame" handling
- Added log domain for panel plugin
- Fixed object "dialog" getters and setters
- Fixed class based plugin intialization
- Added xfce_titled_dialog_get_type == 0 check
- Updated TODO message
- Removed redundant declaration
- Replaced GTK_STOCK_OK with "_OK"
- Replaced deprected GTK2 code with alternative GTK3 code
- Replaced gtk_tool_button_new_from_stock with 
orage_toolbar_append_button
- Removed deprecated gtk_widget_get_default_style
- Removed redundant const qualifiers
- Fixed typo
- Replaced gtk_font_button_get_font_name with gtk_font_chooser_get_font 
and added g_free for release memory from allocated font name
- Disable unused parameter warning
- Changed variable clock_rotation_array from char to const gchar
- Changed OS default background to white and foreground (text colour) 
to black
- Replaced gtk_style_context_get_property with gtk_style_context_get
- Fixed casting of GtkStyleProvider
- Replaced deprecated gtk_css_provider_get_default with 
gtk_css_provider_new
- Suppressed deprecated warnings
- Changed clock background and font colour from GtkColour to GtkRGBA
- Casted GtkWidget to GtkLabel
- Replaced gtk_widget_override_font with gtk_label_set_attributes
- Replaced hbox with box
- Replaced table with grid
- Suppresed unused parameter warning
- Fixed tooltips for GTK3 (removed gtk_tooltips_new and related)
- Removed unused code
- Fixed panel plugin type name
- Code cleanup: replaced ';;' with ';'
- Patches from issues #4: started to porting orage plugin to class 
structure.
- Replaced string constants which was used in several places with macros
- Added patches from issues #2 and #3. These patches allows to compile 
panel-pugin, but compiled code is still non functional (needs cleanup 
from remaining GTK2 version).
- Enabled XFCE API for GTK3 (X-XFCE-API=2.0)
- Internal libical and tz_convert fixes to get it compiled on Fedora35
- Suppressed unused parameter warnings
- Replaced subdir object build with convenience library
- Enabled building panel plugin
- Enabled building 'xfce-xfcalendar-settings.desktop'
- Fixed compiler warnings about coparing signed and unsigned
- Replaced gtk_hbox_new with gtk_box_new
- Suppressed deperecation warnings for 
gtk_widget_override_background_color and gtk_widget_override_color
- Isolated deprecated color modify functions
- Replaced deprecated gtk_font_button_get_font_name with 
gtk_font_chooser_get_font
- Replaced deprecated gtk_widget_modify_font and 
gtk_widget_override_font with gtk_label_set_attributes
- GNU intltool 0.51.0 (Ubuntu 21.04) needs that 'm4' directory exists 
before calling intltoolize
- Replaced Globaltime colours from GdkColor to GdkRGBA
- Replaced GTK_STOCK_OK in globaltime timezone selection with "_OK" and 
changed orage timezone selection to match as possible with globaltime 
timezone slection (in future globaltime tz selection will be merged 
with orage tz selection)
- Replaced gtk_image_new_from_stock with gtk_image_new_from_icon_name
- Replaced stock ID based buttons with named icon based
- Fixed grid cell lengths for two last rows in "Text Default 
Formatting" table
- Replaced table with grid
- Replaced all boxes in gt_prefs.c with grid
- Removed redundant gtk_box_pack_start
- Removed redundant warning macros
- Replaced deprecated gtk_widget_modify_font with 
gtk_widget_override_font
- Fixed GlobalTime raising event handling
- Added more debug info for tray icon rising
- Ported code that use GdkEventClient to GTK3
- Replaced box with grid
- Replaced clocks.hdr_hbox box with grid
- Replaced clocks.main_hbox hbox with grid
- Disabled unused parameter warning
- Fixed pointer error while pressing any button (re-added functions.h)
- Added .gitignore
- Added X11 library check to configure
- Created convinience library for shared files (shared between Orage 
and Globaltime)
- Re-enabled building Globaltime
- Fixed libbsd dependency: reverted libical strl* functions back to str*
- Added new TODOs and removed already done
- Updated changes in version 4.15.x
- Removing dependency to libbsd: replaced strlcpy, strlcat, etc 
functions with g_strl* functions
- Added silent automake rules as default
- Updated required XDT_AUTOGEN_REQUIRED_VERSION to 4.16.0
- Fixed Orage internal CSS filenames
- Changed working version to 4.15.1
- Reverted back required autogen version

4.15.0 (2021-10-07, unreleased version)
======
Most code ported to GTK3, tested only on FreeBSD.
- GTK3 port

4.8.5 to 4.15.1
===============
Some notes are in the ChangeLog file removed in
94a4f3b6d5ccbec18be59fd457b4c9a7752a09c4
4.15.x are unreleased versions also described above.

20130201: Version 4.8.4
---------
        * Production fix release 
        * new translations for ar, be, bg, ca, cs, da, de, el, en_GK, 
                es, eu, fr, he, hi, hr, hu, id, it, ja, ko, lt, nn, pl, 
                pt, pt_BR, ru, sk, sr, uk, ug, zh_CN, zh_TW
            * Translated to 41 languages now (> 80% complete) (23 to 100%)
        * fixed bug 8525: Orage keeps notifying every second on "All day events"
        * fixed bug 4817: anchor('#') does not work in help links
        * fixed bug 9243: strptime() needs _XOPEN_SOURCE_EXTENDED to be defined
        * fixed bug 9248: internal libical fix SSPM_UNKNOWN_MINOR_TYPE
        * enhancement bug 8231: alarm type is selectable for foreign files
        * enhancement bug 9739: new TODOs start as NOT completed
        * enhancement bug 9738: main window sorts TODOs by due-date
        * enhancement bug 9598: tooltip shows title and location bold

20120105: Version 4.8.3
---------
        * Production fix release 
        * new translations for ca, pt, cs, da, zh_TW, zh_CN, uk, nl, ar, ru,
                hu, es, pt_BR, sk, tr, hr, ja, it, de and fi
        * fixed bug 7939: Dynamic icon of Orage not always refreshed
        * fixed archiving issue, which could lost EVENTs
        * fixed bug 8032: Missing translations for some languages
        * fixed bug 8156: Tray icon not updated after resuming from sleep
        * fixed bug 8121: Foreign files could not be read-only in filesystem 
        * fixed problem where archived events could not be deleted in eventlist
        * fixed bug 7350: Problems with menu entries / desktop files
        * enhancement: made it impossible to modify read-only events
        * enhancement: added location into main calender tooltip
        * enhancement 8258: word wrap for note in appointment window
        * enhancement 8262: improved time spinners in appointment window

20110913: Version 4.8.2
---------
        * Production fix release 
        * new translations for id, ru, es, sk, el, ar, nl, hr, hi, ar, eu and fi
            * Translated (>90% complete) to more than 30 languages now !
        * fixed bug 7552: reminder repeat forever when floating time used
        * fixed bug 7350: errors/depreciations in .desktop files
        * fixed bug 7427: full day alarms start on wrong day
        * fixed bug 7836: cpu loop when show event days is less than 1
        * removed not needed critical messages in text search
        * fixed bug 7848: procedure alarms do not work with execute button
        * fixes to excluded time alarms
        * fixed bug 7920: procedure alarms do not work with external libical
        * fixed bug 7886: all day events are shown one day too long
        * enhancement 7612: possible to export from shell
        * enhancement 7290: variable icon can now be tuned
        * enhancement 7914: procedure alarm replacement parameters
        * enhancement: Added hourly repeat option

20110226: Version 4.8.1
---------
        * Production fix release 
        * new translations for zh_CN, ru, sk, eu, cs, de and it
        * fix compile issue for Solaris and BSD (bug 7108, 7141)
        * fixed bug 7116: full day events missing from top row in day view
        * fixed bug 7118: wrong category shown when editing event
        * fixed bug 7192: make Orage compatible with xdg dirs spec
        * fixed bug 7204: make Orage compatible with libnotify 0.7
        * fixed bug 7232: Orage panel plugin doesn't reflect system TZ changes

20110113: Version 4.8.0
---------
        * Production release 

20101209: Version 4.7.6.1
---------
        * Compatible with Xfce 4.8 (and 4.6)

20100205: Version 4.7.5.12
---------
        * Added event start time to be visible in main calendar event box.
        * Documentation update.

20100103: Version 4.7.5.8
---------
        * Using dynamic icon everywhere instead of only as tray icon.
        * Panel plugin setup interface changed. Instead of three fixed
          rows, now it is possible to add/remove rows as needed.

20091218: Version 4.7.5.3
---------
        * Possibility to create new alarm directly from Orage type alarm
          window (Bug 5904).

20091215: Version 4.7.5.2
---------
        * Test option in alarm definition.

20091208: Version 4.7.5
---------
        * Possible to use upsteam libical if available in the distro (Bug 5764).

20091127: Minor enhancements to tray icon
---------
        * Better looking tray icon (bug 4667).
        * Tray icon size is fully automatic so size parameters removed.
        * Tray icon tooltip better looking with colour and bold time.

20091030: Minor enhancements
---------
        * Possible to change the size of main calendar window (Bug 5890).
        * Remember the size of main calendar window.
        * Remember the position of eventlist window.

20091017: Minor enhancements
---------
        * New parameter to define how many days are shown in the main
          calendar eventbox (Bug 5848).
        * New parameter to define default extra days in event list window
          (Bug 5847).
        * New appointment started from main calendar window now defaults 
          to selected date (Bug 5867).
        * Possibility to use <&Ynnnn> parameter as year difference between 
          current year and nnnn. This is usefull with birthdays (Bug 5849).

20091002: Globaltime and panel plugin updates
---------
        * Change timezone selection to be exactly the same than in Orage
            - Removed the entry box and only include the button now. 
            - It is not as flexible, but it is easier to use for non-gurus.
        * Modified time adjust mode in globaltime to start from zero minute.
            - By default it now changes 30 mins per click.
            - Page Up and Page Down can be used to tune only 1 minute.
            - Removed message informing time change mode is starting.
        * Timezone extra information now shows correct time change time
            - well, it is 1 sec off, but close enough...
        * Timezone extra information now shows also next time and how it changes

20090906: Version 4.7.4 
---------
        * New timezone selection dialog (Bug 3876)
            - now the same in orage and in other tools (panel plugin 
              and globaltime).
        * tz_convert production version with man and make files (Bug 3990)
        * New timezone files created with tz_convert

20090512: Version 4.7.3 
---------
        * Use RDATE and EXDATE to add or omit EVENTs or TODOs
        * added tz_convert for timezone conversion from os (tz) format
          to Orage (ical) format

20090415: differences between 4.7.1 and 4.6 Version or Orage
---------
        * Removed Xfce trayicon code and replaced it with gtk trayicon
        * Now dependent on GTK 2.10
        * Removed 4.4 Xfce dependency MCS
        * clarified default alarm setting in appointment alarm page
        * Using g_timeout_add_seconds in orage if available (Bug 4723) 
        * Possibility to have TODOs repeating based on completed time (Bug 4713)
        * Added visual presentation of recurring appointments
        * Added priority and possibility to omit low priority appointments from
          day list view and calendar
        * Fixed core dump in event-list when event crossed days on "today"
        * Import no longer creates dublicate entries (Debian BUG 517548)

20090227: 4.6.0 Version of Orage published
---------

20080718: differences between 4.6 and 4.4 Version or Orage
---------
        * Man page created for orage and globaltime
        * Globaltime added.
            - shows several clocks from different timezones
            - can be raised and hidden by clicking middle mouse
              button on orage clock panel plugin
            - has timetune feature, which makes it easy to see what
              the time is in other clocks on certain time
        * All visible dates are now in country native format (strftime (%x))
        * All parameters now visible in preferences 
            - restructured parameter screens
        * New appointment types: TODO and JOURNAL
            - TODO can be used to remember things that needs to done
            - JOURNALs are for notes and things to remember
        * Possible to rename Orage calendar files
        * External files can be used
            - it is possible to add files from other sources
              and Orage keeps track on those.
        * Export and import appointments.
        * Text search in event list
        * Orage is now dependent on local libical.
            - standard libical cannot be used due to several fixes
              done to Orage's private copy
        * Daylist view
            - possible to see calendar in day view format in addition 
              to the old list view.
        * New alarms.
            - libnotify alarms
            - script type alarms
        * Possibility to set alarm based on end time also
        * Possible to define default alarm
        * Persistent alarms
            - persistent alarms are raised after Orage is started
              even if your computer or Orage has been turned off when the 
              alarm happened.
        * Orage and orageclock now only wake up when needed.
            - saves battery in laptops when timer wakes up only when
              needed instead of regularly every second.
        * Main calendar now has list of events and todos.
        * Better compatibility with evolution ical files
        * Categories added
            - also possible to give colour to certain category
              and then colour is shown in even list view
            
20070104:
---------
        * Orage version 4.5.9 released 
        * globaltime added. Can show times in several timezones

20070121:
---------
        * Orage version 4.4.0 released together with Xfce 4.4.0

20060419:
---------
        * xfcalendar renamed to orage
        * production version of orage (4.3) available 
        * orageclock panel plugin added. Can use timezone

20051201:
---------
        * beta version of xfcalendar (4.3.2) can use timezones
          builtin to the libical package

20050302:
---------
        * beta version of xfcalendar (4.3.0.1) is using libical 
          instead of the previous dbh.

20050210:
---------
        * Position in screen now stored so that xfcalendar stays where 
          it was put.
        * More paramaters added: Visibility in Systray, Pager and 
          Taskbar now configurable from standard parameter screen. 
          Also xfcalendar visibility when it is started from shell 
          first time can be configured either visible or hidden.

20030716:
---------
	    * XfceTrayIcon now both provides "clicked" (a single left button
	      click) and "double_clicked" (double left button click) signals
  	    * XfceTrayIcon no longer autoconnects, you'll need to call
	      xfce_tray_icon_connect() explicitly
